
teuthology - Bug #48058

ceph task fails for interactive teuthology use.

11/01/2020 05:14 AM - Marcus Watts

Status: Fix Under Review % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source:  Reviewed:  

Tags:  Affected Versions:  

Backport: octopus ceph-qa-suite: teuthology

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Description

Since this commit:

d2ff5c5eb60 qa/tasks/cephadm.py: add ceph logs directory in job's info.yaml

interactive ceph teuthology jobs fail unless the teuthology job is told to "archive" its output.  This is certainly always true of batch jobs,

but for interactive jobs, this is not necessarily the case.  Other parts of the code check to see if ctx.archive is set before using it, the

logic in this commit should do so as well.

History

#1 - 11/01/2020 05:20 AM - Marcus Watts

I have a PR with a fix for this here

https://github.com/ceph/ceph/pull/37911

#2 - 11/01/2020 10:18 AM - Nathan Cutler

- Status changed from New to Fix Under Review

#3 - 11/09/2020 03:09 PM - Deepika Upadhyay

- Backport set to octopus
